{
  "parser": "babel-eslint",
  "extends": "airbnb",
  "plugins": ["compat"],
  "env": {
    "browser": true,
    "node": true,
    "es6": true,
    "mocha": true,
    "jest": true,
    "jasmine": true
  },
  "rules": {
    "linebreak-style": [0, "windows"],
    "class-methods-use-this": [0, { "exceptMethods": [<...exceptions>] }],
    "default-case": [0, { "commentPattern": "^skip\\sdefault" }],
    "quotes": [0, "double"],
    "no-plusplus": [0, { "allowForLoopAfterthoughts": true }],
    "no-console": [0, { allow: ["warn", "error"] }],
    "no-useless-constructor": [0],
    "no-unused-vars": [0, { "vars": "all", "args": "after-used", "ignoreRestSiblings": false }],
    "arrow-parens": [0, "always"],
    "eqeqeq": [0, "always"],
    "import/newline-after-import": [0, { "count": 2 }],
    "react/self-closing-comp": [0, {
      "component": true,
      "html": true
    }],
    "jsx-a11y/anchor-has-content": [0, {
        "components": [ "Anchor" ],
    }],
    "wrap-iife": [0],
    "no-sequences": [0],
    "space-before-function-paren": [0],
    "func-names": [0],
    "no-var": [0],
    "no-continue": [0],
    "vars-on-top": [0],
    "one-var": [0],
    "no-shadow": [0],
    "one-var-declaration-per-line": [0],
    "no-underscore-dangle": [0],
    "no-unused-expressions": [0],
    "no-multi-spaces": [0],
    "radix": [0],
    "react/jsx-indent": [0],
    "object-shorthand": [0],
    "react/no-unescaped-entities": [0],
    "no-undef": [0],
    "no-unneeded-ternary": [0],
    "guard-for-in": [0],
    "prefer-destructuring": [0, {"object": true, "array": false}],
    "dot-notation": [0],
    "no-confusing-arrow": [0],
    "no-return-assign": [0],
    "no-param-reassign": [0],
    "no-dupe-keys": [0],
    "no-mixed-operators": [0],
    "max-len": [0, { "code": 80 }],
    "no-debugger": [0],
    "no-case-declarations": [0],
    "indent": [0],
    "generator-star-spacing": [0],
    "consistent-return": [0],
    "react/forbid-prop-types": [0],
    "react/jsx-filename-extension": [1, { "extensions": [".js"] }],
    "global-require": [1],
    "import/prefer-default-export": [0],
    "react/jsx-no-bind": [0],
    "react/prop-types": [0],
    "react/prefer-stateless-function": [0],
    "no-else-return": [0],
    "no-restricted-syntax": [0],
    "import/no-extraneous-dependencies": [0],
    "no-use-before-define": [0],
    "jsx-a11y/no-static-element-interactions": [0],
    "jsx-a11y/no-noninteractive-element-interactions": [0],
    "jsx-a11y/click-events-have-key-events": [0],
    "jsx-a11y/anchor-is-valid": [0],
    "no-nested-ternary": [0],
    "arrow-body-style": [0],
    "import/extensions": [0],
    "no-bitwise": [0],
    "no-cond-assign": [0],
    "import/no-unresolved": [0],
    "import/first": [0],
    "comma-dangle": [0, {
      "arrays": "always-multiline",
      "objects": "always-multiline",
      "imports": "always-multiline",
      "exports": "always-multiline",
      "functions": "ignore"
    }],
    "object-curly-newline": [0],
    "function-paren-newline": [0],
    "no-restricted-globals": [0],
    "require-yield": [1],
    "lines-between-class-members": [0],
    "implicit-arrow-linebreak": [1],
    "react/destructuring-assignment": [1],
    "react/jsx-one-expression-per-line": [1],
    "react/jsx-props-no-multi-spaces": [1],
    "operator-linebreak": [1],
    "import/order": [1],
    "react/jsx-tag-spacing": [1],
    "react/no-access-state-in-setstate": [1],
    "no-extra-boolean-cast": [1],
    "no-lonely-if": [0],
    "prefer-template": [1]
  },
  "parserOptions": {
    "ecmaFeatures": {
      "experimentalObjectRestSpread": true
    }
  },
  "settings": {
    "polyfills": ["fetch"]
  }
}
